apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: airquality-tekton-webhook
  namespace: default
spec:
  entryPoints:
    - websecure
  routes:
    - kind: Rule
      match: Host(`hooks.k8s.with-humans.org`) && PathPrefix(`/tekton/hook/with-humans-devops-workshop-socrates-airquality`)
      services:
        - name: el-airquality-pipeline-gitlab-webhook
          port: 8080
